{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'bootstrap.min.css' %} ">
    <title>Read Data</title>
</head>
<body>
    <div class = "container">
        <h1 style = "color: blue; margin:20px 10px 10px 0px">We are happy to fetch your data :)</h1>
        {% if messages %}
            {% for mesg in messages %}
                <p class="text-danger">{{mesg}}</p>
            {% endfor %}
        {% endif%}
        <form action="read" method="POST">
            {% csrf_token %}
            <div class="form-group">
                <label for="read_id">ID:</label>
                <input type="text" class="form-control" placeholder="Enter your ID" name="read_id">
            </div>   
            <button type="submit" class = "btn btn-primary">Fetch</button>
        {% for data in profile %}
        <table class="table table-striped" style="margin-top: 5%;">
            <thead>
              <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Age</th>
                <th>Interests</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>{{data.user_id}}</td>
                <td>{{data.user_name}}</td>
                <td>{{data.user_age}}</td>
                <td>{{data.user_interests}}</td>
              </tr>
            </tbody>
          </table>
        {% endfor %}
        <br /> <br />
        <a class="btn btn-primary" href="home">Home</a>
    </div>
    
</body>
</html>
